Package org.springframework.security.config.annotation.web.configurers

# Class AbstractConfigAttributeRequestMatcherRegistry<C>

java.lang.Object
org.springframework.security.config.annotation.web.AbstractRequestMatcherRegistry<C>
org.springframework.security.config.annotation.web.configurers.AbstractConfigAttributeRequestMatcherRegistry<C>

Type Parameters:
  `C` - The object that is returned or Chained after creating the RequestMatcher

Direct Known Subclasses:
  `AbstractInterceptUrlConfigurer.AbstractInterceptUrlRegistry`, `ChannelSecurityConfigurer.ChannelRequestMatcherRegistry`

public abstract class AbstractConfigAttributeRequestMatcherRegistry<C> extends AbstractRequestMatcherRegistry<C>
A base class for registering `RequestMatcher`'s. For example, it might allow for specifying which `RequestMatcher` require a certain level of authorization.

Since:
  3.2
See Also:
  - `ChannelSecurityConfigurer`
  - `UrlAuthorizationConfigurer`
  - `ExpressionUrlAuthorizationConfigurer`

## Constructor Summary

Constructors
Constructor
Description
`AbstractConfigAttributeRequestMatcherRegistry()`

## Method Summary

Modifier and Type
Method
Description
`protected final C`
`chainRequestMatchers(List<org.springframework.security.web.util.matcher.RequestMatcher> requestMatchers)`
Marks the `RequestMatcher`'s as unmapped and then calls `chainRequestMatchersInternal(List)`.
`protected abstract C`
`chainRequestMatchersInternal(List<org.springframework.security.web.util.matcher.RequestMatcher> requestMatchers)`
Subclasses should implement this method for returning the object that is chained to the creation of the `RequestMatcher` instances.

### Methods inherited from class org.springframework.security.config.annotation.web.AbstractRequestMatcherRegistry

`anyRequest, createMvcMatchers, dispatcherTypeMatchers, dispatcherTypeMatchers, getApplicationContext, requestMatchers, requestMatchers, requestMatchers, requestMatchers, setApplicationContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractConfigAttributeRequestMatcherRegistry

public AbstractConfigAttributeRequestMatcherRegistry()

## Method Details

### chainRequestMatchers

protected final C chainRequestMatchers(List<org.springframework.security.web.util.matcher.RequestMatcher> requestMatchers)
Marks the `RequestMatcher`'s as unmapped and then calls `chainRequestMatchersInternal(List)`.

Specified by:
  `chainRequestMatchers` in class `AbstractRequestMatcherRegistry<C>`
Parameters:
  `requestMatchers` - the `RequestMatcher` instances that were created
Returns:
  the chained Object for the subclass which allows association of something else to the `RequestMatcher`

### chainRequestMatchersInternal

protected abstract C chainRequestMatchersInternal(List<org.springframework.security.web.util.matcher.RequestMatcher> requestMatchers)
Subclasses should implement this method for returning the object that is chained to the creation of the `RequestMatcher` instances.

Parameters:
  `requestMatchers` - the `RequestMatcher` instances that were created
Returns:
  the chained Object for the subclass which allows association of something else to the `RequestMatcher`